PEARL Procedures rev-distro-2.1.1-1-gf419e92-dirty Igor procedures for the analysis of PEARL data

Functions
pearl-otf-import.ipf File Reference

Go to the source code of this file.

## Functions
variable | otf_load_itx_all (string pathname)
variable | otf_load_itx_match (string pathname, string matchstr)
variable | otf_load_itx (string pathname, string filename)
variable | otf_gather_iterator (dfref df, string *sdata)
variable | otf_gather_batch (string ywavematch, string xwavematch, string destfolder)
variable | gather_batch (string foldermatch, string ywavematch, string xwavematch, string destfolder)
variable | otf_rename_folders_iterator (dfref df, string *sdata)
variable | otf_rename_folders (string pattern, variable unique_index=defaultValue, string new_suffix=defaultValue, string match_str=defaultValue)
variable | otf_interp (variable e1, variable e2, variable npts, variable smo)
variable | otf_smo_int (wave win, wave wout, wave wpe, variable smo)

## Function Documentation

## ◆ gather_batch()

variable gather_batch | ( | string | foldermatch,
|  | string | ywavematch,
|  | string | xwavematch,
|  | string | destfolder
| ) |  |

Definition at line 162 of file pearl-otf-import.ipf.

## ◆ otf_gather_batch()

variable otf_gather_batch | ( | string | ywavematch,
|  | string | xwavematch,
|  | string | destfolder
| ) |  |

Definition at line 152 of file pearl-otf-import.ipf.

## ◆ otf_gather_iterator()

variable otf_gather_iterator | ( | dfref | df,
|  | string * | sdata
| ) |  |

Definition at line 106 of file pearl-otf-import.ipf.

## ◆ otf_interp()

variable otf_interp | ( | variable | e1,
|  | variable | e2,
|  | variable | npts,
|  | variable | smo
| ) |  |

Definition at line 271 of file pearl-otf-import.ipf.

## ◆ otf_load_itx()

variable otf_load_itx | ( | string | pathname,
|  | string | filename
| ) |  |

Definition at line 76 of file pearl-otf-import.ipf.

## ◆ otf_load_itx_all()

variable otf_load_itx_all | ( | string | pathname | ) |

Definition at line 31 of file pearl-otf-import.ipf.

## ◆ otf_load_itx_match()

variable otf_load_itx_match | ( | string | pathname,
|  | string | matchstr
| ) |  |

Definition at line 53 of file pearl-otf-import.ipf.

## ◆ otf_rename_folders()

variable otf_rename_folders | ( | string | pattern,
|  | variable | unique_index = `defaultValue`,
|  | string | new_suffix = `defaultValue`,
|  | string | match_str = `defaultValue`
| ) |  |

Definition at line 231 of file pearl-otf-import.ipf.

## ◆ otf_rename_folders_iterator()

variable otf_rename_folders_iterator | ( | dfref | df,
|  | string * | sdata
| ) |  |

Definition at line 185 of file pearl-otf-import.ipf.

## ◆ otf_smo_int()

variable otf_smo_int | ( | wave | win,
|  | wave | wout,
|  | wave | wpe,
|  | variable | smo
| ) |  |

Definition at line 304 of file pearl-otf-import.ipf.